extends OmniLight

func _ready():
	idle()

func idle():
	$AnimationPlayer.play("idle")

func prime():
	$AnimationPlayer.play("prime")

func activate():
	$AnimationPlayer.play("activate")

func warn():
	$AnimationPlayer.play("warn")

func fail():
	$AnimationPlayer.play("fail")
